Name:           clojure
Version:     	20080916
Release:        2%{?dist}
Summary:        A dynamic programming language that targets the Java Virtual Machine

Group:          Development/Languages
License:        CPL
URL:            http://clojure.org/
Source0:        http://downloads.sourceforge.net/clojure/clojure_20080916.zip
Source1:        clojure.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  ant >= 1.6
BuildRequires:  jpackage-utils >= 1.5
BuildRequires:  objectweb-asm
BuildRequires:  java-devel >= 1:1.6.0

Requires:       java >= 1:1.6
Requires:       objectweb-asm

%description 
Clojure is a dynamic programming language that targets the Java
Virtual Machine. It is designed to be a general-purpose language,
combining the approachability and interactive development of a
scripting language with an efficient and robust infrastructure for
multithreaded programming. Clojure is a compiled language - it
compiles directly to JVM bytecode, yet remains completely
dynamic. Every feature supported by Clojure is supported at
runtime. Clojure provides easy access to the Java frameworks, with
optional type hints and type inference, to ensure that calls to Java
can avoid reflection.

%prep
%setup -q -c -n clojure-%{version}

rm -f *.jar

%build
ant jar

%install
rm -rf %{buildroot}

chmod 644 CPL.TXT

# prefix install
install -p -d -m 755 %{buildroot}%{_datadir}/%{name}
cp -ar src/clj/clojure/*  %{buildroot}%{_datadir}/%{name}/
rm -f %{buildroot}%{_datadir}/%{name}/xml/\#*

# jar - link to prefix'd jar so that java stuff knows where to look
install -d -m 755 %{buildroot}%{_javadir}
cp clojure.jar %{buildroot}%{_javadir}/%{name}.jar

# startup script
install -d -m 755 %{buildroot}%{_bindir}
cp %{SOURCE1} %{buildroot}%{_bindir}/clojure

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CPL.TXT readme.txt

%attr(0755,root,root) %{_bindir}/clojure
%{_javadir}/%{name}.jar
%{_datadir}/%{name}
%{_bindir}/clojure

%changelog
* Fri Oct 24 2008 Colin Walters <walters@verbum.org> - 20080916-2.fc10
- BR OpenJDK, we need 1.6

* Tue Sep 30 2008 Colin Walters <walters@verbum.org> - 20080916-1.fc10
- initial version

